Bug 137344 - Cannot disable hyperthreading on x86_64 platform
Summary: Cannot disable hyperthreading on x86_64 platform
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2004-10-27 17:27 UTC by David Lehman
Modified: 2013-08-06 01:09 UTC (History)
5 users (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 15:44:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description David Lehman 2004-10-27 17:27:56 UTC
Description of problem:
x86_64 doesn't support disabling hyperthreading via the 'noht' kernel
option. This means that the only way to disable hyperthreading via
kernel arguments is with "acpi=off", which is known to break/disable
quite a few things and thus is not a viable alternative

Version-Release number of selected component (if applicable):
kernel-2.4.21-20.EL

How reproducible:
Always

Steps to Reproduce:
1. Boot x86_64 kernel with "noht" parameter
2. 
3.
  
Actual results:
Hyperthreading is still enabled

Expected results:
Hyperthreading is disabled

Additional info:

Comment 1 Jim Paradis 2004-10-29 05:17:49 UTC
*** Bug 137101 has been marked as a duplicate of this bug. ***

Comment 3 Jim Paradis 2004-12-03 17:26:57 UTC
It should be pretty straightforward to duplicate what we do on the x86
side, modulo some differences in ACPI handling.  I see this as
perfectly doable in the U5 timeframe.


Comment 6 Eric Hagberg 2005-04-27 21:23:07 UTC
So it should be getting fixed in U5?

Comment 7 Jim Paradis 2005-04-27 21:52:22 UTC
No, this didn't make U5.  I'm testing the patch now that should be slated for U6.


Comment 16 Ernie Petrides 2005-10-20 05:42:12 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.6.EL).


Comment 21 Red Hat Bugzilla 2006-03-15 15:44:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.